src/Entity/Dons.php
<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\DonsRepository")
 */
class Dons
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $name;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $mail;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $nameJournalist;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\PromoMedia", inversedBy="Dons")
     */
    private $promoMedia;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\User", inversedBy="dons")
     */
    private $User;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getMail(): ?string
    {
        return $this->mail;
    }

    public function setMail(string $mail): self
    {
        $this->mail = $mail;

        return $this;
    }

    public function getNameJournalist(): ?string
    {
        return $this->nameJournalist;
    }

    public function setNameJournalist(string $nameJournalist): self
    {
        $this->nameJournalist = $nameJournalist;

        return $this;
    }

    public function getPromoMedia(): ?PromoMedia
    {
        return $this->promoMedia;
    }

    public function setPromoMedia(?PromoMedia $promoMedia): self
    {
        $this->promoMedia = $promoMedia;

        return $this;
    }

    public function getUser(): ?User
    {
        return $this->User;
    }

    public function setUser(?User $User): self
    {
        $this->User = $User;

        return $this;
    }
}

src/Controller/HomeController.php
<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\HttpClient\HttpClient;

class HomeController extends AbstractController
{
    /**
     * @Route("/", name="app_home")
     */
    public function index(){

        return $this->render('home/home.html.twig');
    }
    


}

templates/home/footer.html.twig
{% extends 'base.html.twig' %}

{% block title %}Hello JournalistController!{% endblock %}

{% block body %}
<!-- Footer -->
<footer class="page-footer font-small special-color-dark pt-4">

    <!-- Footer Elements -->
    <div class="container">
      <div class="row d-flex justify-content-center">
        <div class="col-md-6 mb-4">
          <form class="input-group">
            <input type="text" class="form-control form-control-sm" placeholder="Your email"
              aria-label="Your email" aria-describedby="basic-addon2">
            <div class="input-group-append">
              <button class="btn btn-sm btn-outline-white my-0 text-white" type="button">Contact us</button>
            </div>
          </form>
        </div> 
      </div>
    </div>

    <div class="footer-copyright text-center py-3 text-white">© 2020 Copyright:
      <a href="https://mdbootstrap.com/education/bootstrap/"> MDBootstrap.com</a>
    </div>
   
  
  </footer>
 


{% endblock %}

templates/home/home.html.twig
{% extends 'base.html.twig' %}



{% block title %}Hello JournalistController!{% endblock %}
{% block javascripts %}
<link rel="stylesheet" href="{{asset('./libs/jquery-jvectormap-2.0.3.css')}}" type="text/css" media="screen"/>

<script src="{{asset('./libs/jquery-jvectormap-2.0.3.min.js')}}"></script>
<script src="{{asset('/libs/jquery-jvectormap-world-mill.js')}}"></script>
<script>
    $(function(){
        $('#world-map').vectorMap({
            map: 'world_mill',
            onRegionClick: function(e, code){
              console.log(code);
              location.href = '{{path('medias')}}?country='+code;
            }
        });
      });
    </script>
<script>
    
</script>
{% endblock javascripts %}

{% block body %}
{% include "home/nav.html.twig" %}
<section class= "container-fluid">
    <div class="row col-lg-12 background-color justify-content-center">
        <p class="text-white bg-dark rounded">Choise the country to know the news</p>
    </div>
    <div id="world-map" style="width: 1450px; height: 600px"></div>


</section>

{% include "home/footer.html.twig" %}


{% endblock %}

templates/home/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Hello HomeController!{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

<div class="example-wrapper">
    <h1>Hello {{ controller_name }}! ✅</h1>

    This friendly message is coming from:
    <ul>
        <li>Your controller at <code><a href="{{ '/Users/florent/Documents/chef-d-oeuvre/src/Controller/HomeController.php'|file_link(0) }}">src/Controller/HomeController.php</a></code></li>
        <li>Your template at <code><a href="{{ '/Users/florent/Documents/chef-d-oeuvre/templates/home/index.html.twig'|file_link(0) }}">templates/home/index.html.twig</a></code></li>
    </ul>
</div>
{% endblock %}

templates/home/nav.html.twig
{% extends 'base.html.twig' %}

{% block title %}Hello JournalistController!{% endblock %}

{% block body %}

  <nav class="navbar navbar-expand-lg navbar-light bg-dark rounded-pill">
    <a class="navbar-brand" href="#"></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse d-flex justify-content-center" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item active">
          <a class="nav-link text-white" href="{{path('app_home')}}">Home <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          {% if app.user %}
          <a class="nav-link text-white" href="{{path('profile_journalist', {id:app.user.id})}}"> My profile</a>  
          {% else %}
        </li>
        <li class="nav-item">
          <a class="nav-link text-white" href="{{path('app_login')}}">I'm Journalist</a>
          {% endif %}
        </li>
      </ul>
    </div>
  </nav>
{% endblock %}